/* Sections */
@import url('sections/footer.css');
@import url('sections/contact.css');
@import url('sections/map.css');
@import url('sections/herobanner.css');
@import url('sections/header.css');
@import url('sections/text-seo.css');
@import url('sections/coups_de_coeur.css');
@import url('sections/faq.css');

/* Pages */
@import url('pages/menus.css');

/* Fonts imports */
@font-face {
    font-family: 'Main Font';
    src: url('fonts/main-font.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
}

/* Variables */
:root {
    --mousse-de-lait: #F4EFEB;
    --cake-a-la-rose: #FCE1E8;
    --pivoine: #F4C9D3;
    --hortensia: #D08E9E;
    --ciel: #C7D9E5;
    --bleuet: #587C8B;
    --myrtille: #2F4157;
}

/* Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Body */
html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Nunito Sans', system-ui, -apple-system, sans-serif;
    min-height: 100vh;
    background-color: var(--cake-a-la-rose);
    color: var(--hortensia);
}

/* Fonts */
h1, .main-font {
    font-family: 'Main Font', system-ui, -apple-system, sans-serif;
    font-weight: normal;
    font-size: 40px;
    line-height: 40px;
}
h2, h3, h4, h5, h6, p, .title, a, td, span {
    font-family: 'Nunito Sans', system-ui, -apple-system, sans-serif;
    letter-spacing: 4px;
    text-transform: uppercase;
    font-weight: 300;
}
h2, h3, .title {
    font-size: 16px;
    line-height: 20px;
}
h4, h5, h6, p, .paragraphe, a, td, span, li, ul, ol {
    font-family: 'Nunito Sans', system-ui, -apple-system, sans-serif;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 4px;
    text-transform: uppercase;
    font-weight: 300;
}

/* Liens */
a {
    text-decoration: underline;
    text-underline-offset: 2px;
    text-decoration-thickness: 0.5px;
    color: inherit;
    transition: color 0.3s ease;
}
a:hover {
    color: var(--bleuet);
}
.main-button {
    font-family: 'Main Font', system-ui, -apple-system, sans-serif;
    font-weight: normal;
    font-size: 24px;
    line-height: 20px;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 4px;
    padding: 20px 35px;
    color: var(--bleuet);
    background-color: var(--ciel);
    box-shadow: 4px 4px 10px rgba(47, 65, 87, 0.2);
    display: flex;
    width: fit-content;
    border-radius: 10px;
}
.main-button:hover {
    background-color: var(--bleuet);
    color: var(--ciel);
}

/* Lists */
ul, ol {
    padding-left: 20px;
}

/* Classes utilitaires */
.bold {
    font-weight: 600;
}
.visually-hidden {
    opacity: 0;
    visibility: hidden;
}
.text-center {
    text-align: center;
}
.margin-bottom-30 {
    margin-bottom: 30px;
}

/* Badge */
.badge-instagram {
    position: fixed;
    bottom: 20px;
    right: 20px;
    box-shadow: 10px 10px 20px rgba(47, 65, 87, 0.2);
    border-radius: 50%;
    animation: rotate 40s linear infinite;
    z-index: 2;
    width: 180px;
    height: 180px;
}
a.badge-hidden {
    display: none;
}

/* Copyright */
.copyright {
    display: flex;
    justify-content: space-between;
    background-color: var(--bleuet);
    color: var(--myrtille);
}

@keyframes rotate {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

@media (max-width: 768px) {
    h2, h3, .title {
        font-size: 14px;
        line-height: 18px;
    }
    h4, h5, h6, p, .paragraphe, a, td, span, li, ul, ol {
        font-size: 12px;
        line-height: 18px;
    }
    .badge-instagram {
        width: 120px;
        height: 120px;
    }
    #contact, #text-seo, #coups-de-coeur, #faq, .footer-container {
        padding-block: 40px !important;
        padding-inline: 20px !important;
    }

    .copyright .paragraphe {
        font-size: 9px;
        line-height: 13px;
    }
}